using System;
using System.Collections.Generic;
using System.Text;

namespace de.WWWings
{

 /// <summary>
 /// Dies ist der Geschäftslogikmanager für die Passagiere.
 /// </summary>
 public class Passagier_BLManager
 {

  public static void NeuerPassagier(long Personalausweisnummer, string Vorname, string Nachname, string Land, byte Kundenstatus, DateTime KundenstatusSeit)
  {

   DAL.Passagier_DataManager.Anlegen(Personalausweisnummer, Vorname, Nachname, Land, Kundenstatus, KundenstatusSeit);

  }

  public static void NeuerPassagier(string Name, string EMail)
  {

   //TODO

  }


  public static long HolePassagierNummer(string Vorname, string Nachname)
  {
   return DAL.Passagier_DataManager.HolePassagierNummer(Vorname, Nachname);

  }

  public static long HolePassagierNummer(string Name)
  {
   string Vorname = Name.Split(' ')[0];
   string Nachname = Name.Split(' ')[1];
   return DAL.Passagier_DataManager.HolePassagierNummer(Vorname, Nachname);

  }
 }
}
